Extending Qt Creator Manual | ExtraEncodingSettings

Extending Qt Creator Manual 4.5.2

# ExtraEncodingSettings Class

(TextEditor::ExtraEncodingSettings)

- List of all members, including inherited members

## Public Types

enum | Utf8BomSetting { AlwaysAdd, OnlyKeep, AlwaysDelete }

## Public Functions

| ExtraEncodingSettings()
| ~ExtraEncodingSettings()
bool | equals(const ExtraEncodingSettings &s) const
void | fromMap(const QString &prefix, const QVariantMap &map)
void | fromSettings(const QString &category, const QSettings *s)
void | toMap(const QString &prefix, QVariantMap *map) const
void | toSettings(const QString &category, QSettings *s) const

## Member Type Documentation

### enum ExtraEncodingSettings::Utf8BomSetting

## Member Function Documentation

### ExtraEncodingSettings::ExtraEncodingSettings()

Default constructs an instance of ExtraEncodingSettings.

### ExtraEncodingSettings::~ExtraEncodingSettings()

Destroys the instance of ExtraEncodingSettings.

### bool ExtraEncodingSettings::equals(const ExtraEncodingSettings &s) const

### void ExtraEncodingSettings::fromMap(const QString &prefix, const QVariantMap &map)

### void ExtraEncodingSettings::fromSettings(const QString &category, const QSettings *s)

### void ExtraEncodingSettings::toMap(const QString &prefix, QVariantMap *map) const

### void ExtraEncodingSettings::toSettings(const QString &category, QSettings *s) const